diff --git a/src/libponyc/options/options.c b/src/libponyc/options/options.c
index 39dcdfd8f7..70716fa80a 100644
--- a/src/libponyc/options/options.c
+++ b/src/libponyc/options/options.c
@@ -199,7 +199,7 @@ static void usage(void)
     "  --ponythreads    Use N scheduler threads. Defaults to the number of\n"
     "                   cores (not hyperthreads) available.\n"
     "  --ponyminthreads Minimum number of active scheduler threads allowed.\n"
-    "                   Defaults to 1.\n"
+    "                   Defaults to the number of '--ponythreads'.\n"
     "  --ponycdmin      Defer cycle detection until 2^N actors have blocked.\n"
     "                   Defaults to 2^4.\n"
     "  --ponycdmax      Always cycle detect when 2^N actors have blocked.\n"
diff --git a/src/libponyrt/sched/scheduler.c b/src/libponyrt/sched/scheduler.c
index eed251498e..00db326747 100644
--- a/src/libponyrt/sched/scheduler.c
+++ b/src/libponyrt/sched/scheduler.c
@@ -673,9 +673,9 @@ pony_ctx_t* ponyint_sched_init(uint32_t threads, bool noyield, bool nopin,
   if(threads == 0)
     threads = ponyint_cpu_count();
 
-  // If no minimum thread count is specified, use 1
+  // If no minimum thread count is specified, use # of threads
   if(min_threads == 0)
-    min_threads = 1;
+    min_threads = threads;
 
   // If minimum thread count is > thread count, cap it at thread count
   if(min_threads > threads)
